| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
clock_13xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Functions
STATIC uint32_t | Chip_Clock_GetWDTLFORate (uint32_t reg)
STATIC uint32_t | Chip_Clock_GetPllFreq (uint32_t pllReg, uint32_t inputRate)
void | Chip_Clock_SetSystemPllSource (CHIP_SYSCTL_PLLCLKSRC_T src)
| Set System PLL clock source.
void | Chip_Clock_SetPLLBypass (bool bypass, bool highfr)
| Bypass System Oscillator and set oscillator frequency range.
void | Chip_Clock_SetUSBPllSource (CHIP_SYSCTL_PLLCLKSRC_T src)
| Set USB PLL clock source.
void | Chip_Clock_SetMainClockSource (CHIP_SYSCTL_MAINCLKSRC_T src)
| Set main system clock source.
void | Chip_Clock_SetUSBClockSource (CHIP_SYSCTL_USBCLKSRC_T src, uint32_t div)
| Set USB clock source and divider.
void | Chip_Clock_SetCLKOUTSource (CHIP_SYSCTL_CLKOUTSRC_T src, uint32_t div)
| Set CLKOUT clock source and divider.
uint32_t | Chip_Clock_GetWDTOSCRate (void)
| Return estimated watchdog oscillator rate.
uint32_t | Chip_Clock_GetSystemPllInClockRate (void)
| Return System PLL input clock rate.
uint32_t | Chip_Clock_GetSystemPllOutClockRate (void)
| Return System PLL output clock rate.
uint32_t | Chip_Clock_GetUSBPllInClockRate (void)
| Return USB PLL input clock rate.
uint32_t | Chip_Clock_GetUSBPllOutClockRate (void)
| Return USB PLL output clock rate.
uint32_t | Chip_Clock_GetMainClockRate (void)
| Return main clock rate.
uint32_t | Chip_Clock_GetSystemClockRate (void)
| Return system clock rate.

## Variables
STATIC const uint32_t | wdtOSCRate [WDTLFO_OSC_4_60+1]

## Function Documentation

STATIC uint32_t Chip_Clock_GetPllFreq | ( | uint32_t | pllReg,
|  | uint32_t | inputRate
| ) |  |

Definition at line 78 of file clock_13xx.c.

STATIC uint32_t Chip_Clock_GetWDTLFORate | ( | uint32_t | reg | ) |

Definition at line 64 of file clock_13xx.c.

## Variable Documentation

STATIC const uint32_t wdtOSCRate[WDTLFO_OSC_4_60+1]

Initial value:
= {
0,
600000,
1050000,
1400000,
1750000,
2100000,
2400000,
2700000,
3000000,
3250000,
3500000,
3750000,
4000000,
4200000,
4400000,
4600000
}

Definition at line 36 of file clock_13xx.c.